Upgrade prerequisites

You must ensure that your HDP cluster satisfies specific prerequisites before initiating the upgrade process.

  • You must review the Behavioral Changes.

  • You must have root, administrative, or root-equivalent authorization on the Ambari Server host and all Ambari Agent hosts in the cluster.

  • You must make a safe copy of the Ambari Server configuration file found at /etc/ambari-server/conf/ambari.properties.

  • If your cluster is SSO-enabled, do not stop Knox before upgrading Ambari.

During the Ambari upgrade, the existing /var/lib/ambari-server/ambari-env.sh file is overwritten and a backup copy of ambari-env.sh (with extension .rpmsave) is created. If you have manually modified ambari-env.sh (for example, to change Ambari Server heap), you must reapply your changes in the new file.